# User and server token management

 - [POST /oauth2/token](https://xsolla.redocly.app/es/api/login/token-management/generate-jwt.md): Use this call: * To get a [user JWT](/api/login/getting-user-token). * To refresh the JWT when it expires. Works only if `scope=offline` is passed in the registration or authentication call. * To get
 - [POST /oauth2/token/revoke](https://xsolla.redocly.app/es/api/login/token-management/revoke-jwt.md): Revokes an obtained access token **Notice** [Rate limits for client-side methods](/api/login/rate-limits) are applied to this method.
 - [POST /server/token/validate](https://xsolla.redocly.app/es/api/login/token-management/validate-server-jwt.md): Validates a server JWT. Checks the following criteria: - the lifetime of the token - existence of the Login project - presence of an authentic signature from the `login.xsolla.com` server - value of t
 - [POST /token/validate](https://xsolla.redocly.app/es/api/login/token-management/validate-jwt.md): Validates a user JWT based on the following criteria: - the lifetime of the token - existence of the Login project - presence of an authentic signature from the `login.xsolla.com` server - user existe
